plotFeatures {tilingArray} | R Documentation

## Plot genomic features for a region along a chromosome

### Description

Plot genomic features for a region along a chromosome

### Usage

    plotFeatures(gff, chr, xlim, strand, vpr, featureColorScheme=1,
                 featureExclude=c("chromosome", "nucleotide_match", "insertion"),
                 featureNoLabel=c("uORF", "CDS"), ...)

### Arguments

`gff` | data frame with genome annotation from the GFF file.
`chr` | integer of length 1 specifying the chromosome to plot the features for.
`xlim` | integer of length 2 with start and end coordinates (in bases) for plotting.
`strand` | character scalar which should be set to either `+` or `-` to indicate which strand of DNA to plot the features from.
`vpr` | which viewport to plot the features in.
`featureColorScheme` | numeric scalar, used to select a color scheme for the boxes representing genomic features such as coding sequences, ncRNAs etc. Currently the only value supported is 1.
`featureExclude` | character vector of names of feature types (in gff) that should not be plotted. Default is `"chromosome"`, `"nucleotide_match"` and `"insertion"`. Additional possible candidates include: `"ARS"`, `"repeat\_region"`, `"repeat\_family"` and `"nc\_primary\_transcript"`.
`featureNoLabel` | character vector, names of feature types (in gff) that should not be labelled with their names (if they are plotted).
`...` | additional arguments.

### Details

This function is called by `plotAlongChrom` when the `gff` argument has been specified. It should not be called directly by the user.

### Author(s)

Wolfgang Huber <huber@ebi.ac.uk>

[Package tilingArray version 1.22.0 Index]